Get a booking
curl --request GET \
--url https://api.bookingshake.io/api/bookings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bookingshake.io/api/bookings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bookingshake.io/api/bookings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success",
"data": {
"id": "bkg_7f3a1c9e",
"public_id": "nX4fQ2hB",
"name": "Acme annual seminar",
"status_id": "<string>",
"source_id": "<string>",
"contact_id": "<string>",
"account_id": "<string>",
"owner_ids": [
"<string>"
],
"created_at": 1756000000000,
"updated_at": 123,
"canceled_at": 123,
"comments": "<string>",
"quote_ids": [
"<string>"
],
"invoice_ids": [
"<string>"
],
"payment_ids": [
"<string>"
],
"events": [
{
"id": "rsv_8fj2kQpL0aXc",
"date": "2026-09-10",
"start_time": "09:00",
"end_time": "17:00",
"space_id": "spc_Lp9Xt2Kj5mQw",
"secondary_space_ids": [
"<string>"
],
"event_type": "Corporate seminar",
"pax": 40,
"comments": "<string>",
"created_at": 1756000000000
}
]
}
}{
"message": "invalid token"
}{
"message": "invalid token"
}{
"message": "Rate limit exceeded",
"data": {
"limit": 10,
"window": "60 seconds",
"remaining": 0,
"resetAt": "2025-11-17T14:30:00.000Z",
"retryAfter": 45
}
}{
"message": "invalid token"
}Bookings
Get a booking
Returns a booking (dossier) with its nested events and financial references, by its booking ID (the booking_id of payment.* / invoice.created webhooks, also returned by POST /events/create).
GET
/
bookings
/
{id}
Get a booking
Authorizations
Bearer authentication using your BookingShake API key. Retrieve your API key from Settings > Integrations in your BookingShake dashboard.
Path Parameters
Booking ID
Response
The booking
Example:
"success"
A booking (dossier): the group of events created and managed together, with its contact, status and financial references. Custom fields defined for the venue with collection "requests" are added as additional custom_* properties (null when empty).
Show child attributes
Show child attributes
⌘I
